net.corda.core.flows

## Class AppContext

- net.corda.core.flows.AppContext

-     public class AppContext

  This is just some way to track what attachments need to be in the class loader, but may later include some app properties loaded from the attachments. And perhaps the authenticated user for an API call?

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppContext(java.util.List<? extends net.corda.core.crypto.SecureHash> attachments)` This is just some way to track what attachments need to be in the class loader, but may later include some app properties loaded from the attachments. And perhaps the authenticated user for an API call?

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<net.corda.core.crypto.SecureHash>` | `component1()`
    `AppContext` | `copy(java.util.List<? extends net.corda.core.crypto.SecureHash> attachments)` This is just some way to track what attachments need to be in the class loader, but may later include some app properties loaded from the attachments. And perhaps the authenticated user for an API call?
    `boolean` | `equals(java.lang.Object p)`
    `java.util.List<net.corda.core.crypto.SecureHash>` | `getAttachments()`
    `java.lang.ClassLoader` | `getClassLoader()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### AppContext

          public AppContext(java.util.List<? extends net.corda.core.crypto.SecureHash> attachments)

      This is just some way to track what attachments need to be in the class loader, but may later include some app properties loaded from the attachments. And perhaps the authenticated user for an API call?

  - ### Method Detail

    - #### getClassLoader

          public java.lang.ClassLoader getClassLoader()

    - #### getAttachments

          public java.util.List<net.corda.core.crypto.SecureHash> getAttachments()

    - #### component1

          public java.util.List<net.corda.core.crypto.SecureHash> component1()

    - #### copy

          public AppContext copy(java.util.List<? extends net.corda.core.crypto.SecureHash> attachments)

      This is just some way to track what attachments need to be in the class loader, but may later include some app properties loaded from the attachments. And perhaps the authenticated user for an API call?

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)